---
title: '<caption>: The Table Caption element'
slug: Web/HTML/Element/caption
tags:
  - Element
  - HTML
  - HTML Tables
  - HTML tabular data
  - Reference
  - Table Captions
  - Table Titles
  - Tables
  - Web
  - caption
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;caption&gt;</code> element</strong> specifies the caption (or title) of a table.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/caption.html", "tabbed-taller")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The end tag can be omitted if the element is not immediately followed by ASCII whitespace or a comment.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("table")}} element, as its first descendant.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLTableCaptionElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h3 id="Deprecated_attributes">Deprecated attributes</h3>

<p>The following attributes are deprecated and should not be used. They are documented below for reference when updating existing code and for historical interest only.</p>

<dl>
 <dt>{{htmlattrdef("align")}} {{deprecated_inline}}</dt>
 <dd>This enumerated attribute indicates how the caption must be aligned with respect to the table. It may have one of the following values:
 <dl>
  <dt><code>left</code></dt>
  <dd>The caption is displayed to the left of the table.</dd>
  <dt><code>top</code></dt>
  <dd>The caption is displayed above the table.</dd>
  <dt><code>right</code></dt>
  <dd>The caption is displayed to the right of the table.</dd>
  <dt><code>bottom</code></dt>
  <dd>The caption is displayed below the table.</dd>
 </dl>

 <div class="note"><strong>Usage note: </strong>Do not use this attribute, as it has been deprecated. The {{HTMLElement("caption")}} element should be styled using the <a href="/en-US/docs/Web/CSS">CSS</a> properties {{cssxref("caption-side")}} and {{cssxref("text-align")}}.</div>
 </dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>&lt;caption&gt;</code> element should be the first child of its parent {{htmlelement("table")}} element.</p>

<p>When the <code>&lt;table&gt;</code> element that contains the <code>&lt;caption&gt;</code> is the only descendant of a {{HTMLElement("figure")}} element, you should use the {{HTMLElement("figcaption")}} element instead of <code>&lt;caption&gt;</code>.</p>

<h2 id="Example">Example</h2>

<p>This simple example presents a table that includes a caption.</p>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;caption&gt;Example Caption&lt;/caption&gt;
  &lt;tr&gt;
    &lt;th&gt;Login&lt;/th&gt;
    &lt;th&gt;Email&lt;/th&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;user1&lt;/td&gt;
    &lt;td&gt;user1@sample.com&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;user2&lt;/td&gt;
    &lt;td&gt;user2@sample.com&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;</pre>

<div class="hidden">
<pre class="brush: css notranslate">caption {
  caption-side: top;
  align: right;
}
table {
  border-collapse: collapse;
  border-spacing: 0px;
}
table, th, td {
  border: 1px solid black;
}
</pre>
</div>

<p>{{EmbedLiveSample('Example', 650, 100)}}</p>

<p><code>table {background: red;}</code> do not alter caption. For that you need <code>display: block</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'tables.html#the-caption-element', '&lt;caption&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'tabular-data.html#the-caption-element', '&lt;caption&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/tables.html#h-11.2.2', '&lt;caption&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.caption")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>CSS properties that may be specially useful to style the {{HTMLElement("caption")}} element:
  <ul>
   <li>{{cssxref("text-align")}}, {{cssxref("caption-side")}}.</li>
  </ul>
 </li>
</ul>
